/* RESET */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

/* BODY */
body.register-page {

        min-height: 100vh;
    background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
                url('../Image/bunga.jpg');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    padding: 30px;
    color: #fff;
}

/* OVERLAY */
body.register-page::before {
    content: "";
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
    z-index: -1;
}

/* FORM CONTAINER */
.register-container {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 30px;
    min-height: 100vh;
    width: 100%;
}

/* FORM CARD */
.register-card {
    background: rgba(255, 255, 255, 0.08);
    backdrop-filter: blur(15px);
    padding: 40px;
    width: 400px;
    border-radius: 20px;
    box-shadow: 0 10px 35px rgba(0, 0, 0, 0.3);
    border: 1px solid rgba(255, 255, 255, 0.2);
    animation: fadeUp 0.8s ease forwards;
}

/* TITLE */
.register-title {
    margin-bottom: 25px;
    color: #ffffff;
    font-size: 28px;
    font-family: 'Lobster Two', cursive;
    text-shadow: 2px 2px 5px rgba(0,0,0,0.5);
    text-align: center;
}

/* INPUTS */
.register-input {
    width: 100%;
    padding: 12px;
    margin-top: 5px;
    margin-bottom: 15px;
    border-radius: 12px;
    border: 1px solid rgba(4, 4, 4, 0.3);
    outline: none;
    background: rgba(57, 57, 57, 0.15);
    color: #fff;
    transition: all 0.3s ease;
}

.register-input:focus {
    border-color: #000000;
}


/* LABEL */
.register-group label {
    font-size: 14px;
}

/* ICONS (optional, like show password) */
.register-group i {
    position: absolute;
    right: 12px;
    top: 38px;
    cursor: pointer;
}

/* BUTTONS */
.register-btn {
    display:block;
    margin:auto;
    
    padding:12px 30px;
    background:#fff;
    border:none;
    border-radius:10px;
    font-weight:bold;
}

.register-btn:hover {
    transform: scale(1.05);
    background: #e6e6e6;
}

/* LINK */
.signup-link {
    text-align: center;
    margin-top: 15px;
    font-size: 14px;
}

.signup-link a {
    color: #010101;
    text-decoration: none;
}

.signup-link a:hover{
    color: #b30000;
}

/* PASSWORD STRENGTH */
.strength {
    font-size: 12px;
    margin-top: 5px;
}

.weak { color: red; }
.medium { color: orange; }
.strong { color: lightgreen; }

/* BACK BUTTON */
.back-btn {
    display: inline-block;
    margin-bottom: 20px;
    padding: 10px 18px;
    background: linear-gradient(135deg,#ff4d4d,#b30000);
    color:#fff;
    text-decoration:none;
    border-radius:8px;
    font-weight:600;
    transition: 0.3s;
}

.back-btn:hover {
    background:#fff;
    color:#b30000;
}

/* ANIMATIONS */
@keyframes fadeUp {
    from { transform: translateY(30px); opacity: 0; }
    to { transform: translateY(0); opacity: 1; }
}